{
  "swagger": "2.0",
  "schemes": [
    "https"
  ],
  "host": "api.communigator.co.uk",
  "basePath": "/",
  "info": {
    "description": "\n# Introduction\nWelcome to the Communigator API! You can use our API to access the Communigator Marketing Suite API endpoints.\n\nWe have language bindings in Shell, C#, and PHP! You can view code examples in the dark area to the right, and you can switch the programming language of the examples with the tabs in the top right.\n\nThis documentation is still being worked on.\n",
    "version": "1.7.0",
    "title": "Communigator API Documentation",
    "contact": {
      "email": "support@communigator.co.uk",
      "url": "https://www.communigator.co.uk/contact-us/"
    },
    "x-logo": {
      "url": "CommuniGator.png"
    }
  },
  "produces": [
    "application/json"
  ],
  "consumes": [
    "application/json"
  ],
  "tags": [
    {
      "name": "Gator SignOn",
      "description": "Gator Single Signon endpoint"
    },
    {
      "name": "Gator Mail",
      "description": "GatorMail API endpoint"
    },
    {
      "name": "Gator Leads",
      "description": "GatorLeads API endpoint"
    },
    {
      "name": "Gator Survey",
      "description": "GatorSurvey API endpoint"
    }
  ],
  "securityDefinitions": {
    "client_auth": {
      "type": "oauth2",
      "tokenUrl": "https://oauth.communigator.co.uk/core/connect/token",
      "flow": "application",
      "scopes": {
        "SsoPartnerApi": "Allowed to create accounts"
      }
    },
    "client_application": {
      "type": "oauth2",
      "flow": "password",
      "tokenUrl": "https://oauth.communigator.co.uk/core/connect/token",
      "scopes": {
        "openid": "OpenId scope",
        "GatorMailApi": "GatorMail scope",
        "GatorSurveyApi": "GatorSurvey scope",
        "GatorLeadsApi": "GatorLead scope",
        "offline_access": "Offline scope"
      }
    }
  },
  "paths": {
    "/signon/partner/create": {
      "post": {
        "summary": "Create Account",
        "description": "This endpoint creates a Single Sign On account and a GatorLeads account. This method is only available to Communigator Partners.",
        "security": [
          {
            "client_auth": [
              "SsoPartnerApi"
            ]
          }
        ],
        "operationId": "signon_create",
        "tags": [
          "Gator SignOn"
        ],
        "consumes": [
          "application/json"
        ],
        "parameters": [
          {
            "name": "createAccount",
            "in": "body",
            "required": true,
            "schema": {
              "$ref": "#/definitions/gatorsignon_CreateAccount"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Account created",
            "schema": {
              "$ref": "#/definitions/gatorsignon_createResponse"
            }
          },
          "400": {
            "description": "There was an issue with the submitted data",
            "schema": {
              "$ref": "#/definitions/model_error"
            }
          }
        },
        "x-code-samples": [
          {
            "lang": "Shell",
            "source": "curl -X \"POST\" \"https://api.communigator.co.uk/signon/partner/create\" \\\n     -H \"Authorization: Bearer ***** Hidden credentials *****\" \\\n     -H \"Content-Type: application/json; charset=utf-8\" \\\n     -d $'{\n  \"firstName\": \"Joe\",\n  \"products\": {\n    \"gatorLeads\": {\n      \"registerUpsell\": {\n        \"trackingQueue\": true\n      },\n      \"domain\": \"example.com\"\n    }\n  },\n  \"lastName\": \"Blogs\",\n  \"email\": \"job.blogs@example\",\n  \"companyName\": \"Example\",\n  \"contactNumber\": \"012344422333\",\n  \"activate\": true,\n  \"sendEmail\": false\n}'\n"
          },
          {
            "lang": "C#",
            "source": "using System;\nusing System.Threading.Tasks; \nusing System.Net; \nusing System.IO; \nusing System.Text; \n \nnamespace MyNamespace { \n\tpublic class MyActivity { \n\t\t  \n\t\tprivate async Task<bool> create () { \n  \n\t\t\tstring url = \"https://api.communigator.co.uk/signon/partner/create\"; \n  \n\t\t\tHttpWebRequest request = (HttpWebRequest)WebRequest.Create (new Uri(url)); \n\t\t\trequest.ContentType = \"application/json; charset=utf-8\"; \n\t\t\trequest.Headers.Add(\"Authorization\", \"Bearer ***** Hidden credentials *****\"); \n\t\t\t \n\t\t\trequest.Method = \"POST\"; \n\t\t\t \n\t\t\tstring postData = \"{\\\"firstName\\\":\\\"Joe\\\",\\\"lastName\\\":\\\"Blogs\\\",\\\"email\\\":\\\"job.blogs@example\\\",\\\"companyName\\\":\\\"Example\\\",\\\"contactNumber\\\":\\\"012344422333\\\",\\\"sendEmail\\\":false,\\\"activate\\\":true,\\\"products\\\":{\\\"gatorLeads\\\":{\\\"domain\\\":\\\"example.com\\\",\\\"registerUpsell\\\":{\\\"trackingQueue\\\":true}}}}\"; \n\t\t\tASCIIEncoding encoding = new ASCIIEncoding (); \n\t\t\tbyte[] byte1 = encoding.GetBytes (postData); \n\t\t\trequest.ContentLength = byte1.Length; \n\t\t\tStream newStream = request.GetRequestStream (); \n\t\t\tnewStream.Write (byte1, 0, byte1.Length); \n\t\t\tnewStream.Close (); \n\t\t\t \n\t\t\tusing (WebResponse response = await request.GetResponseAsync ()) { \n\t\t\t\tusing (Stream stream = response.GetResponseStream ()) { \n\t\t\t\t\treturn true; \n\t\t\t\t\t//process the response \n\t\t\t\t} \n\t\t\t} \n\t\t} \n\t} \n} \n"
          }
        ]
      }
    },
    "/mail/{landingZone}/campaign/{campaignId}": {
      "get": {
        "summary": "Get a campaign",
        "description": "Get campaign by identifier.",
        "security": [
          {
            "client_application": [
              "openid",
              "GatorMailApi",
              "offline_access"
            ]
          }
        ],
        "operationId": "gatormail_getCampaign",
        "tags": [
          "Gator Mail"
        ],
        "parameters": [
          {
            "name": "api-version",
            "in": "header",
            "description": "the api version being requested",
            "required": true,
            "type": "integer"
          },
          {
            "name": "landingZone",
            "in": "path",
            "description": "the landing zone that is being accessed",
            "required": true,
            "type": "string"
          },
          {
            "name": "campaignId",
            "in": "path",
            "type": "integer",
            "required": true,
            "description": "the identifier of the campaign to get",
            "format": "int32"
          }
        ],
        "responses": {
          "200": {
            "description": "Campaign response",
            "schema": {
              "$ref": "#/definitions/gatormail_campaignResponse"
            }
          },
          "default": {
            "description": "Unexpected error",
            "schema": {
              "$ref": "#/definitions/gatormail_errorModel"
            }
          }
        }
      }
    },
    "/mail/{landingZone}/campaign/{page}/{take}": {
      "get": {
        "summary": "List all campaigns",
        "description": "Gets Paged List of `Campaign` objects.",
        "security": [
          {
            "client_application": [
              "openid",
              "GatorMailApi",
              "offline_access"
            ]
          }
        ],
        "operationId": "gatormail_getCampaignList",
        "tags": [
          "Gator Mail"
        ],
        "parameters": [
          {
            "name": "api-version",
            "in": "header",
            "description": "the api version being requested",
            "required": true,
            "type": "integer"
          },
          {
            "name": "landingZone",
            "in": "path",
            "description": "the landing zone that is being accessed",
            "required": true,
            "type": "string"
          },
          {
            "name": "page",
            "in": "path",
            "type": "integer",
            "required": true,
            "description": "the page to get",
            "format": "int32"
          },
          {
            "name": "take",
            "in": "path",
            "type": "integer",
            "required": true,
            "description": "how many campaigns to get per page",
            "format": "int32"
          }
        ],
        "responses": {
          "200": {
            "description": "List of campaigns",
            "schema": {
              "$ref": "#/definitions/gatormail_pagedCampaign"
            }
          },
          "default": {
            "description": "Unexpected error",
            "schema": {
              "$ref": "#/definitions/gatormail_errorModel"
            }
          }
        }
      }
    },
    "/mail/{landingZone}/campaign/{dateRangeSearchType}/{startDate}/{endDate}": {
      "get": {
        "summary": "Search for campaign on a date",
        "description": "Gets Paged List of `Campaign` objects.",
        "security": [
          {
            "client_application": [
              "openid",
              "GatorMailApi",
              "offline_access"
            ]
          }
        ],
        "operationId": "gatormail_getCampaignListByDateRange",
        "tags": [
          "Gator Mail"
        ],
        "parameters": [
          {
            "name": "api-version",
            "in": "header",
            "description": "the api version being requested",
            "required": true,
            "type": "integer"
          },
          {
            "name": "landingZone",
            "in": "path",
            "description": "the landing zone that is being accessed",
            "required": true,
            "type": "string"
          },
          {
            "name": "dateRangeSearchType",
            "in": "path",
            "type": "integer",
            "required": true,
            "description": "type of date you want to seatch StartDate = 0, InitiatedDate = 1, CreatedDate = 2",
            "format": "int32"
          },
          {
            "name": "startDate",
            "in": "path",
            "type": "integer",
            "required": true,
            "description": "Unix timestamp of the start date",
            "format": "int32"
          },
          {
            "name": "endDate",
            "in": "path",
            "type": "integer",
            "required": true,
            "description": "Unix timestamp of the end date",
            "format": "int32"
          }
        ],
        "responses": {
          "200": {
            "description": "List of campaigns",
            "schema": {
              "$ref": "#/definitions/gatormail_pagedCampaign"
            }
          },
          "default": {
            "description": "Unexpected error",
            "schema": {
              "$ref": "#/definitions/gatormail_errorModel"
            }
          }
        }
      }
    },
    "/mail/{landingZone}/campaign": {
      "post": {
        "summary": "Adds a new campaign",
        "description": "Adds a new campaign",
        "security": [
          {
            "client_application": [
              "openid",
              "GatorMailApi",
              "offline_access"
            ]
          }
        ],
        "operationId": "gatormail_addCampaign",
        "tags": [
          "Gator Mail"
        ],
        "parameters": [
          {
            "name": "api-version",
            "in": "header",
            "description": "the api version being requested",
            "required": true,
            "type": "integer"
          },
          {
            "name": "landingZone",
            "in": "path",
            "description": "the landing zone that is being accessed",
            "required": true,
            "type": "string"
          },
          {
            "name": "campaign",
            "in": "body",
            "required": true,
            "schema": {
              "$ref": "#/definitions/gatormail_campaign"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "OK",
            "schema": {
              "$ref": "#/definitions/gatormail_campaign"
            }
          },
          "default": {
            "description": "Unexpected error",
            "schema": {
              "$ref": "#/definitions/gatormail_errorModel"
            }
          }
        }
      },
      "patch": {
        "summary": "Updates a campaign",
        "description": "Updates a campaign",
        "security": [
          {
            "client_application": [
              "openid",
              "GatorMailApi",
              "offline_access"
            ]
          }
        ],
        "operationId": "gatormail_updateCampaign",
        "tags": [
          "Gator Mail"
        ],
        "parameters": [
          {
            "name": "api-version",
            "in": "header",
            "description": "the api version being requested",
            "required": true,
            "type": "integer"
          },
          {
            "name": "landingZone",
            "in": "path",
            "description": "the landing zone that is being accessed",
            "required": true,
            "type": "string"
          },
          {
            "name": "campaign",
            "in": "body",
            "required": true,
            "schema": {
              "$ref": "#/definitions/gatormail_campaign"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "OK",
            "schema": {
              "$ref": "#/definitions/gatormail_campaign"
            }
          },
          "default": {
            "description": "Unexpected error",
            "schema": {
              "$ref": "#/definitions/gatormail_errorModel"
            }
          }
        }
      }
    },
    "/mail/{landingZone}/campaign/{campaignId}/initiate": {
      "post": {
        "summary": "Initiate Campaign",
        "description": "Initiate Campaign",
        "security": [
          {
            "client_application": [
              "openid",
              "GatorMailApi",
              "offline_access"
            ]
          }
        ],
        "operationId": "gatormail_initiateCampaign",
        "tags": [
          "Gator Mail"
        ],
        "parameters": [
          {
            "name": "api-version",
            "in": "header",
            "description": "the api version being requested",
            "required": true,
            "type": "integer"
          },
          {
            "name": "landingZone",
            "in": "path",
            "description": "the landing zone that is being accessed",
            "required": true,
            "type": "string"
          },
          {
            "name": "campaignId",
            "in": "path",
            "description": "the id of the campaign to initiate",
            "required": true,
            "type": "integer"
          }
        ],
        "responses": {
          "200": {
            "description": "OK",
            "schema": {
              "$ref": "#/definitions/gatormail_campaignInitiate"
            }
          },
          "default": {
            "description": "Unexpected error",
            "schema": {
              "$ref": "#/definitions/gatormail_errorModel"
            }
          }
        }
      }
    },
    "/mail/{landingZone}/campaign/{campaignId}/sendtest": {
      "post": {
        "summary": "Campaign Send Test",
        "description": "Send a campaign test email",
        "security": [
          {
            "client_application": [
              "openid",
              "GatorMailApi",
              "offline_access"
            ]
          }
        ],
        "operationId": "gatormail_CampaignSendTest",
        "tags": [
          "Gator Mail"
        ],
        "parameters": [
          {
            "name": "api-version",
            "in": "header",
            "description": "the api version being requested",
            "required": true,
            "type": "integer"
          },
          {
            "name": "landingZone",
            "in": "path",
            "description": "the landing zone that is being accessed",
            "required": true,
            "type": "string"
          },
          {
            "name": "campaignId",
            "in": "path",
            "description": "the id of the campaign to initiate",
            "required": true,
            "type": "integer"
          },
          {
            "name": "campaign",
            "in": "body",
            "required": true,
            "schema": {
              "$ref": "#/definitions/gatormail_campaignSendtest"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "OK",
            "schema": {
              "$ref": "#/definitions/gatormail_campaignSendtestResult"
            }
          },
          "default": {
            "description": "Unexpected error",
            "schema": {
              "$ref": "#/definitions/gatormail_errorModel"
            }
          }
        }
      }
    },
    "/mail/{landingZone}/history/{campaignId}/opens/{page}/{take}?orderBy=date&orderDirection=asc": {
      "get": {
        "summary": "List all campaign opens",
        "description": "Gets a paged list of campaign opens.",
        "security": [
          {
            "client_application": [
              "openid",
              "GatorMailApi",
              "offline_access"
            ]
          }
        ],
        "operationId": "gatormail_getCampaignOpenList",
        "tags": [
          "Gator Mail"
        ],
        "parameters": [
          {
            "name": "api-version",
            "in": "header",
            "description": "the api version being requested",
            "required": true,
            "type": "integer"
          },
          {
            "name": "landingZone",
            "in": "path",
            "description": "the landing zone that is being accessed",
            "required": true,
            "type": "string"
          },
          {
            "name": "campaignId",
            "in": "path",
            "description": "the id of the campaign to retrieve opens for",
            "required": true,
            "type": "string"
          },
          {
            "name": "page",
            "in": "path",
            "type": "integer",
            "required": true,
            "description": "the page to get",
            "format": "int32"
          },
          {
            "name": "take",
            "in": "path",
            "type": "integer",
            "required": true,
            "description": "how many campaign opens to get per page",
            "format": "int32"
          },
          {
            "name": "orderBy",
            "in": "query",
            "type": "string",
            "required": false,
            "description": "an attribute to order the results by (defaults to date, but can be any contact attribute)",
            "format": "string"
          },
          {
            "name": "orderDirection",
            "in": "query",
            "type": "string",
            "required": false,
            "description": "the direction to order the results in (asc or desc)",
            "format": "string"
          }
        ],
        "responses": {
          "200": {
            "description": "List of campaign opens",
            "schema": {
              "$ref": "#/definitions/gatormail_pagedCampaignOpen"
            }
          },
          "default": {
            "description": "Unexpected error",
            "schema": {
              "$ref": "#/definitions/gatormail_errorModel"
            }
          }
        }
      }
    },
    "/mail/{landingZone}/campaign/results/opens/{campaignId}/{startDate}/{endDate}/{page}/{take}": {
      "get": {
        "summary": "List a campaigns opens in a date range.",
        "description": "Gets a paged list of a campaigns opens.",
        "security": [
          {
            "client_application": [
              "openid",
              "GatorMailApi",
              "offline_access"
            ]
          }
        ],
        "operationId": "gatormail_getCampaignOpenListByDateRange",
        "tags": [
          "Gator Mail"
        ],
        "parameters": [
          {
            "name": "api-version",
            "in": "header",
            "description": "the api version being requested",
            "required": true,
            "type": "integer"
          },
          {
            "name": "landingZone",
            "in": "path",
            "description": "the landing zone that is being accessed",
            "required": true,
            "type": "string"
          },
          {
            "name": "campaignId",
            "in": "path",
            "description": "the id of the campaign to retrieve opens for",
            "required": true,
            "type": "string"
          },
          {
            "name": "startDate",
            "in": "path",
            "description": "unix timestamp for when to start getting data",
            "required": true,
            "type": "string"
          },
          {
            "name": "endDate",
            "in": "path",
            "description": "unix timestamp for when to stop getting data",
            "required": true,
            "type": "string"
          },
          {
            "name": "page",
            "in": "path",
            "type": "integer",
            "required": true,
            "description": "the page to get",
            "format": "int32"
          },
          {
            "name": "take",
            "in": "path",
            "type": "integer",
            "required": true,
            "description": "how many campaign opens to get per page",
            "format": "int32"
          }
        ],
        "responses": {
          "200": {
            "description": "List of campaign opens",
            "schema": {
              "$ref": "#/definitions/gatormail_pagedCampaignContactResults"
            }
          },
          "default": {
            "description": "Unexpected error",
            "schema": {
              "$ref": "#/definitions/gatormail_errorModel"
            }
          }
        }
      }
    },
    "/mail/{landingZone}/campaign/results/opens/{startDate}/{endDate}/{page}/{take}": {
      "get": {
        "summary": "List all campaign opens in a date range.",
        "description": "Gets a paged list of campaign opens.",
        "security": [
          {
            "client_application": [
              "openid",
              "GatorMailApi",
              "offline_access"
            ]
          }
        ],
        "operationId": "gatormail_getAllCampaignOpenListByDateRange",
        "tags": [
          "Gator Mail"
        ],
        "parameters": [
          {
            "name": "api-version",
            "in": "header",
            "description": "the api version being requested",
            "required": true,
            "type": "integer"
          },
          {
            "name": "landingZone",
            "in": "path",
            "description": "the landing zone that is being accessed",
            "required": true,
            "type": "string"
          },
          {
            "name": "startDate",
            "in": "path",
            "description": "unix timestamp for when to start getting data",
            "required": true,
            "type": "string"
          },
          {
            "name": "endDate",
            "in": "path",
            "description": "unix timestamp for when to stop getting data",
            "required": true,
            "type": "string"
          },
          {
            "name": "page",
            "in": "path",
            "type": "integer",
            "required": true,
            "description": "the page to get",
            "format": "int32"
          },
          {
            "name": "take",
            "in": "path",
            "type": "integer",
            "required": true,
            "description": "how many campaign opens to get per page",
            "format": "int32"
          }
        ],
        "responses": {
          "200": {
            "description": "List of campaign opens",
            "schema": {
              "$ref": "#/definitions/gatormail_pagedCampaignContactResults"
            }
          },
          "default": {
            "description": "Unexpected error",
            "schema": {
              "$ref": "#/definitions/gatormail_errorModel"
            }
          }
        }
      }
    },
    "/mail/{landingZone}/campaign/results/opens/{campaignId}/{page}/{take}": {
      "get": {
        "summary": "List all opens for a given Campaign.",
        "description": "Gets a paged list of campaign opens.",
        "security": [
          {
            "client_application": [
              "openid",
              "GatorMailApi",
              "offline_access"
            ]
          }
        ],
        "operationId": "gatormail_getAllOpenForCampaign",
        "tags": [
          "Gator Mail"
        ],
        "parameters": [
          {
            "name": "api-version",
            "in": "header",
            "description": "the api version being requested",
            "required": true,
            "type": "integer"
          },
          {
            "name": "landingZone",
            "in": "path",
            "description": "the landing zone that is being accessed",
            "required": true,
            "type": "string"
          },
          {
            "name": "campaignId",
            "in": "path",
            "description": "the id of the campaign to retrieve opens for",
            "required": true,
            "type": "string"
          },
          {
            "name": "page",
            "in": "path",
            "type": "integer",
            "required": true,
            "description": "the page to get",
            "format": "int32"
          },
          {
            "name": "take",
            "in": "path",
            "type": "integer",
            "required": true,
            "description": "how many campaign opens to get per page",
            "format": "int32"
          }
        ],
        "responses": {
          "200": {
            "description": "List of campaign opens",
            "schema": {
              "$ref": "#/definitions/gatormail_pagedCampaignContactResults"
            }
          },
          "default": {
            "description": "Unexpected error",
            "schema": {
              "$ref": "#/definitions/gatormail_errorModel"
            }
          }
        }
      }
    },
    "/mail/{landingZone}/campaign/results/webhits/{campaignId}/{startDate}/{endDate}/{page}/{take}": {
      "get": {
        "summary": "List a campaigns web hits in a date range.",
        "description": "Gets a paged list of a campaigns web hits.",
        "security": [
          {
            "client_application": [
              "openid",
              "GatorMailApi",
              "offline_access"
            ]
          }
        ],
        "operationId": "gatormail_getCampaignWebHitsListByDateRange",
        "tags": [
          "Gator Mail"
        ],
        "parameters": [
          {
            "name": "api-version",
            "in": "header",
            "description": "the api version being requested",
            "required": true,
            "type": "integer"
          },
          {
            "name": "landingZone",
            "in": "path",
            "description": "the landing zone that is being accessed",
            "required": true,
            "type": "string"
          },
          {
            "name": "campaignId",
            "in": "path",
            "description": "the id of the campaign to retrieve opens for",
            "required": true,
            "type": "string"
          },
          {
            "name": "startDate",
            "in": "path",
            "description": "unix timestamp for when to start getting data",
            "required": true,
            "type": "string"
          },
          {
            "name": "endDate",
            "in": "path",
            "description": "unix timestamp for when to stop getting data",
            "required": true,
            "type": "string"
          },
          {
            "name": "page",
            "in": "path",
            "type": "integer",
            "required": true,
            "description": "the page to get",
            "format": "int32"
          },
          {
            "name": "take",
            "in": "path",
            "type": "integer",
            "required": true,
            "description": "how many campaign web hits to get per page",
            "format": "int32"
          }
        ],
        "responses": {
          "200": {
            "description": "List of campaign web hits",
            "schema": {
              "$ref": "#/definitions/gatormail_pagedCampaignContactResults"
            }
          },
          "default": {
            "description": "Unexpected error",
            "schema": {
              "$ref": "#/definitions/gatormail_errorModel"
            }
          }
        }
      }
    },
    "/mail/{landingZone}/campaign/results/webhits/{startDate}/{endDate}/{page}/{take}": {
      "get": {
        "summary": "List all campaign web hits in a date range.",
        "description": "Gets a paged list of campaign web hits.",
        "security": [
          {
            "client_application": [
              "openid",
              "GatorMailApi",
              "offline_access"
            ]
          }
        ],
        "operationId": "gatormail_getAllCampaignwebhitsListByDateRange",
        "tags": [
          "Gator Mail"
        ],
        "parameters": [
          {
            "name": "api-version",
            "in": "header",
            "description": "the api version being requested",
            "required": true,
            "type": "integer"
          },
          {
            "name": "landingZone",
            "in": "path",
            "description": "the landing zone that is being accessed",
            "required": true,
            "type": "string"
          },
          {
            "name": "startDate",
            "in": "path",
            "description": "unix timestamp for when to start getting data",
            "required": true,
            "type": "string"
          },
          {
            "name": "endDate",
            "in": "path",
            "description": "unix timestamp for when to stop getting data",
            "required": true,
            "type": "string"
          },
          {
            "name": "page",
            "in": "path",
            "type": "integer",
            "required": true,
            "description": "the page to get",
            "format": "int32"
          },
          {
            "name": "take",
            "in": "path",
            "type": "integer",
            "required": true,
            "description": "how many campaign web hits to get per page",
            "format": "int32"
          }
        ],
        "responses": {
          "200": {
            "description": "List of campaign web hits",
            "schema": {
              "$ref": "#/definitions/gatormail_pagedCampaignContactResults"
            }
          },
          "default": {
            "description": "Unexpected error",
            "schema": {
              "$ref": "#/definitions/gatormail_errorModel"
            }
          }
        }
      }
    },
    "/mail/{landingZone}/campaign/results/webhits/{campaignId}/{page}/{take}": {
      "get": {
        "summary": "List all web hits for a given Campaign.",
        "description": "Gets a paged list of campaign web hits.",
        "security": [
          {
            "client_application": [
              "openid",
              "GatorMailApi",
              "offline_access"
            ]
          }
        ],
        "operationId": "gatormail_getAllWebhitsForCampaign",
        "tags": [
          "Gator Mail"
        ],
        "parameters": [
          {
            "name": "api-version",
            "in": "header",
            "description": "the api version being requested",
            "required": true,
            "type": "integer"
          },
          {
            "name": "landingZone",
            "in": "path",
            "description": "the landing zone that is being accessed",
            "required": true,
            "type": "string"
          },
          {
            "name": "campaignId",
            "in": "path",
            "description": "the id of the campaign to retrieve opens for",
            "required": true,
            "type": "string"
          },
          {
            "name": "page",
            "in": "path",
            "type": "integer",
            "required": true,
            "description": "the page to get",
            "format": "int32"
          },
          {
            "name": "take",
            "in": "path",
            "type": "integer",
            "required": true,
            "description": "how many campaign web hits to get per page",
            "format": "int32"
          }
        ],
        "responses": {
          "200": {
            "description": "List of campaign web hits",
            "schema": {
              "$ref": "#/definitions/gatormail_pagedCampaignContactResults"
            }
          },
          "default": {
            "description": "Unexpected error",
            "schema": {
              "$ref": "#/definitions/gatormail_errorModel"
            }
          }
        }
      }
    },
    "/mail/{landingZone}/campaign/results/unsubscribes/{campaignId}/{startDate}/{endDate}/{page}/{take}": {
      "get": {
        "summary": "List a campaigns unsubscribes in a date range.",
        "description": "Gets a paged list of a campaigns unsubscribes.",
        "security": [
          {
            "client_application": [
              "openid",
              "GatorMailApi",
              "offline_access"
            ]
          }
        ],
        "operationId": "gatormail_getCampaignUnsubscribesListByDateRange",
        "tags": [
          "Gator Mail"
        ],
        "parameters": [
          {
            "name": "api-version",
            "in": "header",
            "description": "the api version being requested",
            "required": true,
            "type": "integer"
          },
          {
            "name": "landingZone",
            "in": "path",
            "description": "the landing zone that is being accessed",
            "required": true,
            "type": "string"
          },
          {
            "name": "campaignId",
            "in": "path",
            "description": "the id of the campaign to retrieve opens for",
            "required": true,
            "type": "string"
          },
          {
            "name": "startDate",
            "in": "path",
            "description": "unix timestamp for when to start getting data",
            "required": true,
            "type": "string"
          },
          {
            "name": "endDate",
            "in": "path",
            "description": "unix timestamp for when to stop getting data",
            "required": true,
            "type": "string"
          },
          {
            "name": "page",
            "in": "path",
            "type": "integer",
            "required": true,
            "description": "the page to get",
            "format": "int32"
          },
          {
            "name": "take",
            "in": "path",
            "type": "integer",
            "required": true,
            "description": "how many campaign unsubscribes to get per page",
            "format": "int32"
          }
        ],
        "responses": {
          "200": {
            "description": "List of campaign unsubscribes",
            "schema": {
              "$ref": "#/definitions/gatormail_pagedCampaignContactResults"
            }
          },
          "default": {
            "description": "Unexpected error",
            "schema": {
              "$ref": "#/definitions/gatormail_errorModel"
            }
          }
        }
      }
    },
    "/mail/{landingZone}/campaign/results/unsubscribes/{startDate}/{endDate}/{page}/{take}": {
      "get": {
        "summary": "List all campaign unsubscribes in a date range.",
        "description": "Gets a paged list of campaign unsubscribes.",
        "security": [
          {
            "client_application": [
              "openid",
              "GatorMailApi",
              "offline_access"
            ]
          }
        ],
        "operationId": "gatormail_getAllCampaignUnsubscribesListByDateRange",
        "tags": [
          "Gator Mail"
        ],
        "parameters": [
          {
            "name": "api-version",
            "in": "header",
            "description": "the api version being requested",
            "required": true,
            "type": "integer"
          },
          {
            "name": "landingZone",
            "in": "path",
            "description": "the landing zone that is being accessed",
            "required": true,
            "type": "string"
          },
          {
            "name": "startDate",
            "in": "path",
            "description": "unix timestamp for when to start getting data",
            "required": true,
            "type": "string"
          },
          {
            "name": "endDate",
            "in": "path",
            "description": "unix timestamp for when to stop getting data",
            "required": true,
            "type": "string"
          },
          {
            "name": "page",
            "in": "path",
            "type": "integer",
            "required": true,
            "description": "the page to get",
            "format": "int32"
          },
          {
            "name": "take",
            "in": "path",
            "type": "integer",
            "required": true,
            "description": "how many campaign unsubscribes to get per page",
            "format": "int32"
          }
        ],
        "responses": {
          "200": {
            "description": "List of campaign unsubscribes",
            "schema": {
              "$ref": "#/definitions/gatormail_pagedCampaignContactResults"
            }
          },
          "default": {
            "description": "Unexpected error",
            "schema": {
              "$ref": "#/definitions/gatormail_errorModel"
            }
          }
        }
      }
    },
    "/mail/{landingZone}/campaign/results/unsubscribes/{campaignId}/{page}/{take}": {
      "get": {
        "summary": "List all unsubscribes for a given Campaign.",
        "description": "Gets a paged list of campaign unsubscribes.",
        "security": [
          {
            "client_application": [
              "openid",
              "GatorMailApi",
              "offline_access"
            ]
          }
        ],
        "operationId": "gatormail_getAllUnsubscribesForCampaign",
        "tags": [
          "Gator Mail"
        ],
        "parameters": [
          {
            "name": "api-version",
            "in": "header",
            "description": "the api version being requested",
            "required": true,
            "type": "integer"
          },
          {
            "name": "landingZone",
            "in": "path",
            "description": "the landing zone that is being accessed",
            "required": true,
            "type": "string"
          },
          {
            "name": "campaignId",
            "in": "path",
            "description": "the id of the campaign to retrieve opens for",
            "required": true,
            "type": "string"
          },
          {
            "name": "page",
            "in": "path",
            "type": "integer",
            "required": true,
            "description": "the page to get",
            "format": "int32"
          },
          {
            "name": "take",
            "in": "path",
            "type": "integer",
            "required": true,
            "description": "how many campaign unsubscribes to get per page",
            "format": "int32"
          }
        ],
        "responses": {
          "200": {
            "description": "List of campaign unsubscribes",
            "schema": {
              "$ref": "#/definitions/gatormail_pagedCampaignContactResults"
            }
          },
          "default": {
            "description": "Unexpected error",
            "schema": {
              "$ref": "#/definitions/gatormail_errorModel"
            }
          }
        }
      }
    },
    "/mail/{landingZone}/campaign/results/undeliverables/{campaignId}/{startDate}/{endDate}/{page}/{take}": {
      "get": {
        "summary": "List a campaigns undeliverables in a date range.",
        "description": "Gets a paged list of a campaigns undeliverables.",
        "security": [
          {
            "client_application": [
              "openid",
              "GatorMailApi",
              "offline_access"
            ]
          }
        ],
        "operationId": "gatormail_getCampaignUndeliverablesListByDateRange",
        "tags": [
          "Gator Mail"
        ],
        "parameters": [
          {
            "name": "api-version",
            "in": "header",
            "description": "the api version being requested",
            "required": true,
            "type": "integer"
          },
          {
            "name": "landingZone",
            "in": "path",
            "description": "the landing zone that is being accessed",
            "required": true,
            "type": "string"
          },
          {
            "name": "campaignId",
            "in": "path",
            "description": "the id of the campaign to retrieve opens for",
            "required": true,
            "type": "string"
          },
          {
            "name": "startDate",
            "in": "path",
            "description": "unix timestamp for when to start getting data",
            "required": true,
            "type": "string"
          },
          {
            "name": "endDate",
            "in": "path",
            "description": "unix timestamp for when to stop getting data",
            "required": true,
            "type": "string"
          },
          {
            "name": "page",
            "in": "path",
            "type": "integer",
            "required": true,
            "description": "the page to get",
            "format": "int32"
          },
          {
            "name": "take",
            "in": "path",
            "type": "integer",
            "required": true,
            "description": "how many campaign undeliverables to get per page",
            "format": "int32"
          }
        ],
        "responses": {
          "200": {
            "description": "List of campaign undeliverables",
            "schema": {
              "$ref": "#/definitions/gatormail_pagedCampaignContactResults"
            }
          },
          "default": {
            "description": "Unexpected error",
            "schema": {
              "$ref": "#/definitions/gatormail_errorModel"
            }
          }
        }
      }
    },
    "/mail/{landingZone}/campaign/results/undeliverables/{startDate}/{endDate}/{page}/{take}": {
      "get": {
        "summary": "List all campaign undeliverables in a date range.",
        "description": "Gets a paged list of campaign undeliverables.",
        "security": [
          {
            "client_application": [
              "openid",
              "GatorMailApi",
              "offline_access"
            ]
          }
        ],
        "operationId": "gatormail_getAllCampaignUndeliverablesListByDateRange",
        "tags": [
          "Gator Mail"
        ],
        "parameters": [
          {
            "name": "api-version",
            "in": "header",
            "description": "the api version being requested",
            "required": true,
            "type": "integer"
          },
          {
            "name": "landingZone",
            "in": "path",
            "description": "the landing zone that is being accessed",
            "required": true,
            "type": "string"
          },
          {
            "name": "startDate",
            "in": "path",
            "description": "unix timestamp for when to start getting data",
            "required": true,
            "type": "string"
          },
          {
            "name": "endDate",
            "in": "path",
            "description": "unix timestamp for when to stop getting data",
            "required": true,
            "type": "string"
          },
          {
            "name": "page",
            "in": "path",
            "type": "integer",
            "required": true,
            "description": "the page to get",
            "format": "int32"
          },
          {
            "name": "take",
            "in": "path",
            "type": "integer",
            "required": true,
            "description": "how many campaign undeliverables to get per page",
            "format": "int32"
          }
        ],
        "responses": {
          "200": {
            "description": "List of campaign undeliverables",
            "schema": {
              "$ref": "#/definitions/gatormail_pagedCampaignContactResults"
            }
          },
          "default": {
            "description": "Unexpected error",
            "schema": {
              "$ref": "#/definitions/gatormail_errorModel"
            }
          }
        }
      }
    },
    "/mail/{landingZone}/campaign/results/undeliverables/{campaignId}/{page}/{take}": {
      "get": {
        "summary": "List all undeliverables for a given Campaign.",
        "description": "Gets a paged list of campaign undeliverables.",
        "security": [
          {
            "client_application": [
              "openid",
              "GatorMailApi",
              "offline_access"
            ]
          }
        ],
        "operationId": "gatormail_getAllUndeliverablesForCampaign",
        "tags": [
          "Gator Mail"
        ],
        "parameters": [
          {
            "name": "api-version",
            "in": "header",
            "description": "the api version being requested",
            "required": true,
            "type": "integer"
          },
          {
            "name": "landingZone",
            "in": "path",
            "description": "the landing zone that is being accessed",
            "required": true,
            "type": "string"
          },
          {
            "name": "campaignId",
            "in": "path",
            "description": "the id of the campaign to retrieve opens for",
            "required": true,
            "type": "string"
          },
          {
            "name": "page",
            "in": "path",
            "type": "integer",
            "required": true,
            "description": "the page to get",
            "format": "int32"
          },
          {
            "name": "take",
            "in": "path",
            "type": "integer",
            "required": true,
            "description": "how many campaign undeliverables to get per page",
            "format": "int32"
          }
        ],
        "responses": {
          "200": {
            "description": "List of campaign undeliverables",
            "schema": {
              "$ref": "#/definitions/gatormail_pagedCampaignContactResults"
            }
          },
          "default": {
            "description": "Unexpected error",
            "schema": {
              "$ref": "#/definitions/gatormail_errorModel"
            }
          }
        }
      }
    },
    "/mail/{landingZone}/history/{campaignId}/bounces/{page}/{take}?orderBy&orderDirection": {
      "get": {
        "summary": "List all campaign bounces",
        "description": "Gets a paged list of campaign bounces.",
        "security": [
          {
            "client_application": [
              "openid",
              "GatorMailApi",
              "offline_access"
            ]
          }
        ],
        "operationId": "gatormail_getCampaignBounceList",
        "tags": [
          "Gator Mail"
        ],
        "parameters": [
          {
            "name": "api-version",
            "in": "header",
            "description": "the api version being requested",
            "required": true,
            "type": "integer"
          },
          {
            "name": "landingZone",
            "in": "path",
            "description": "the landing zone that is being accessed",
            "required": true,
            "type": "string"
          },
          {
            "name": "campaignId",
            "in": "path",
            "description": "the id of the campaign to retrieve bounces for",
            "required": true,
            "type": "string"
          },
          {
            "name": "page",
            "in": "path",
            "type": "integer",
            "required": true,
            "description": "the page to get",
            "format": "int32"
          },
          {
            "name": "take",
            "in": "path",
            "type": "integer",
            "required": true,
            "description": "how many campaign bounces to get per page",
            "format": "int32"
          },
          {
            "name": "orderBy",
            "in": "query",
            "type": "string",
            "required": false,
            "description": "an attribute to order the results by (defaults to date, but can be any contact attribute)",
            "format": "string"
          },
          {
            "name": "orderDirection",
            "in": "query",
            "type": "string",
            "required": false,
            "description": "the direction to order the results in (asc or desc)",
            "format": "string"
          }
        ],
        "responses": {
          "200": {
            "description": "List of campaign bounces",
            "schema": {
              "$ref": "#/definitions/gatormail_pagedCampaignBounce"
            }
          },
          "default": {
            "description": "Unexpected error",
            "schema": {
              "$ref": "#/definitions/gatormail_errorModel"
            }
          }
        }
      }
    },
    "/mail/{landingZone}/group/{page}/{take}": {
      "get": {
        "summary": "Get a list of groups",
        "description": "Get a Paged list of all groups",
        "security": [
          {
            "client_application": [
              "openid",
              "GatorMailApi",
              "offline_access"
            ]
          }
        ],
        "operationId": "gatormail_getGroups",
        "tags": [
          "Gator Mail"
        ],
        "parameters": [
          {
            "name": "api-version",
            "in": "header",
            "description": "the api version being requested",
            "required": true,
            "type": "integer"
          },
          {
            "name": "landingZone",
            "in": "path",
            "description": "the landing zone that is being accessed",
            "required": true,
            "type": "string"
          },
          {
            "name": "page",
            "in": "path",
            "description": "the page of contacts to retrieve",
            "required": true,
            "type": "integer",
            "format": "int32"
          },
          {
            "name": "take",
            "in": "path",
            "description": "the count of records to retrieve",
            "required": true,
            "type": "integer",
            "format": "int32"
          }
        ],
        "responses": {
          "200": {
            "description": "OK",
            "schema": {
              "$ref": "#/definitions/gatormail_pagedGroup"
            }
          },
          "default": {
            "description": "Unexpected error",
            "schema": {
              "$ref": "#/definitions/gatormail_errorModel"
            }
          }
        }
      }
    },
    "/mail/{landingZone}/group": {
      "post": {
        "summary": "Add a new group",
        "description": "Add a new group",
        "security": [
          {
            "client_application": [
              "openid",
              "GatorMailApi",
              "offline_access"
            ]
          }
        ],
        "operationId": "gatormail_addGroup",
        "tags": [
          "Gator Mail"
        ],
        "parameters": [
          {
            "name": "api-version",
            "in": "header",
            "description": "the api version being requested",
            "required": true,
            "type": "integer"
          },
          {
            "name": "landingZone",
            "in": "path",
            "description": "the landing zone that is being accessed",
            "required": true,
            "type": "string"
          },
          {
            "name": "group",
            "in": "body",
            "required": true,
            "schema": {
              "$ref": "#/definitions/gatormail_group"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "OK",
            "schema": {
              "$ref": "#/definitions/gatormail_group"
            }
          },
          "default": {
            "description": "Unexpected error",
            "schema": {
              "$ref": "#/definitions/gatormail_errorModel"
            }
          }
        }
      },
      "patch": {
        "summary": "Update a group",
        "description": "Update a group",
        "security": [
          {
            "client_application": [
              "openid",
              "GatorMailApi",
              "offline_access"
            ]
          }
        ],
        "operationId": "gatormail_updateGroup",
        "tags": [
          "Gator Mail"
        ],
        "parameters": [
          {
            "name": "api-version",
            "in": "header",
            "description": "the api version being requested",
            "required": true,
            "type": "integer"
          },
          {
            "name": "landingZone",
            "in": "path",
            "description": "the landing zone that is being accessed",
            "required": true,
            "type": "string"
          },
          {
            "name": "group",
            "in": "body",
            "required": true,
            "schema": {
              "$ref": "#/definitions/gatormail_group"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "OK",
            "schema": {
              "$ref": "#/definitions/gatormail_group"
            }
          },
          "default": {
            "description": "Unexpected error",
            "schema": {
              "$ref": "#/definitions/gatormail_errorModel"
            }
          }
        }
      }
    },
    "/mail/{landingZone}/group/{groupId}": {
      "delete": {
        "summary": "Delete a group",
        "description": "Delete a group",
        "security": [
          {
            "client_application": [
              "openid",
              "GatorMailApi",
              "offline_access"
            ]
          }
        ],
        "operationId": "gatormail_deleteGroup",
        "tags": [
          "Gator Mail"
        ],
        "parameters": [
          {
            "name": "api-version",
            "in": "header",
            "description": "the api version being requested",
            "required": true,
            "type": "integer"
          },
          {
            "name": "landingZone",
            "in": "path",
            "description": "the landing zone that is being accessed",
            "required": true,
            "type": "string"
          },
          {
            "name": "groupId",
            "in": "path",
            "description": "description",
            "required": true,
            "type": "integer",
            "format": "int32"
          }
        ],
        "responses": {
          "200": {
            "description": "OK"
          },
          "default": {
            "description": "Unexpected error",
            "schema": {
              "$ref": "#/definitions/gatormail_errorModel"
            }
          }
        }
      }
    },
    "/mail/{landingZone}/group/{groupId}/GroupClearDown": {
      "post": {
        "summary": "Clear all contacts from a give group by Id",
        "description": "Clear all included and excluded contacts from a give group by Id,",
        "security": [
          {
            "client_application": [
              "openid",
              "GatorMailApi",
              "offline_access"
            ]
          }
        ],
        "operationId": "gatormail_GroupClearDownGroupByID",
        "tags": [
          "Gator Mail"
        ],
        "parameters": [
          {
            "name": "api-version",
            "in": "header",
            "description": "the api version being requested",
            "required": true,
            "type": "integer"
          },
          {
            "name": "landingZone",
            "in": "path",
            "description": "the landing zone that is being accessed",
            "required": true,
            "type": "string"
          },
          {
            "name": "groupId",
            "in": "path",
            "description": "description",
            "required": true,
            "type": "integer",
            "format": "int32"
          }
        ],
        "responses": {
          "200": {
            "description": "OK"
          },
          "default": {
            "description": "Unexpected error",
            "schema": {
              "$ref": "#/definitions/gatormail_errorModel"
            }
          }
        }
      }
    },
    "/mail/{landingZone}/group/GroupClearDown": {
      "post": {
        "summary": "Clear all contacts from a give group by name",
        "description": "Clear all included and excluded contacts from a give group by name",
        "security": [
          {
            "client_application": [
              "openid",
              "GatorMailApi",
              "offline_access"
            ]
          }
        ],
        "operationId": "gatormail_GroupClearDownGroupByName",
        "tags": [
          "Gator Mail"
        ],
        "parameters": [
          {
            "name": "api-version",
            "in": "header",
            "description": "the api version being requested",
            "required": true,
            "type": "integer"
          },
          {
            "name": "landingZone",
            "in": "path",
            "description": "the landing zone that is being accessed",
            "required": true,
            "type": "string"
          },
          {
            "name": "groupName",
            "in": "body",
            "required": true,
            "schema": {
              "$ref": "#/definitions/gatormail_groupGroupClearDownRequest"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "OK"
          },
          "default": {
            "description": "Unexpected error",
            "schema": {
              "$ref": "#/definitions/gatormail_errorModel"
            }
          }
        }
      }
    },
    "/mail/{landingZone}/group/contact/{contactId}": {
      "get": {
        "summary": "Get Groups for Contact",
        "description": "Get Groups for Contact",
        "security": [
          {
            "client_application": [
              "openid",
              "GatorMailApi",
              "offline_access"
            ]
          }
        ],
        "operationId": "gatormail_contactGroups",
        "tags": [
          "Gator Mail"
        ],
        "parameters": [
          {
            "name": "api-version",
            "in": "header",
            "description": "the api version being requested",
            "required": true,
            "type": "integer"
          },
          {
            "name": "landingZone",
            "in": "path",
            "description": "the landing zone that is being accessed",
            "required": true,
            "type": "string"
          },
          {
            "name": "contactId",
            "in": "path",
            "description": "description",
            "required": true,
            "type": "integer",
            "format": "int32"
          }
        ],
        "responses": {
          "200": {
            "description": "OK",
            "schema": {
              "type": "array",
              "items": {
                "$ref": "#/definitions/gatormail_group"
              }
            }
          },
          "default": {
            "description": "Unexpected error",
            "schema": {
              "$ref": "#/definitions/gatormail_errorModel"
            }
          }
        }
      }
    },
    "/mail/{landingZone}/group/{groupId}/contacts/included/{page}/{take}?attributes": {
      "get": {
        "summary": "Gets contacts included in a Group",
        "description": "Gets contacts that have been included in a Group via the API or the UI only. Contacts that have been added to the group via group rules, group inclusion and CSV import, will not be returned.",
        "security": [
          {
            "client_application": [
              "openid",
              "GatorMailApi",
              "offline_access"
            ]
          }
        ],
        "operationId": "gatormail_groupIncludedContacts",
        "tags": [
          "Gator Mail"
        ],
        "parameters": [
          {
            "name": "api-version",
            "in": "header",
            "description": "the api version being requested",
            "required": true,
            "type": "integer"
          },
          {
            "name": "landingZone",
            "in": "path",
            "description": "the landing zone that is being accessed",
            "required": true,
            "type": "string"
          },
          {
            "name": "groupId",
            "in": "path",
            "description": "the group for which to retrieve included contacts for",
            "required": true,
            "type": "integer",
            "format": "int32"
          },
          {
            "name": "page",
            "in": "path",
            "description": "the page of contacts to retrieve",
            "required": true,
            "type": "integer",
            "format": "int32"
          },
          {
            "name": "take",
            "in": "path",
            "description": "the count of records to retrieve",
            "required": true,
            "type": "integer",
            "format": "int32"
          },
          {
            "name": "attributes",
            "in": "query",
            "description": "comma separated list of attributes to populate in the response. If none provided email, firstname and lastname are populated",
            "required": false,
            "type": "string"
          }
        ],
        "responses": {
          "200": {
            "description": "OK",
            "schema": {
              "$ref": "#/definitions/gatormail_pagedContact"
            }
          },
          "default": {
            "description": "Unexpected error",
            "schema": {
              "$ref": "#/definitions/gatormail_errorModel"
            }
          }
        }
      }
    },
    "/mail/{landingZone}/group/{groupId}/contacts/included": {
      "post": {
        "summary": "Include a list of contacts to a Group",
        "description": "Add a list of contacts to a Group",
        "security": [
          {
            "client_application": [
              "openid",
              "GatorMailApi",
              "offline_access"
            ]
          }
        ],
        "operationId": "gatormail_groupIncludedContactpost",
        "tags": [
          "Gator Mail"
        ],
        "parameters": [
          {
            "name": "api-version",
            "in": "header",
            "description": "the api version being requested",
            "required": true,
            "type": "integer"
          },
          {
            "name": "landingZone",
            "in": "path",
            "description": "the landing zone that is being accessed",
            "required": true,
            "type": "string"
          },
          {
            "name": "groupId",
            "in": "path",
            "description": "the group for which to retrieve included contacts for",
            "required": true,
            "type": "integer",
            "format": "int32"
          },
          {
            "name": "group",
            "in": "body",
            "required": true,
            "schema": {
              "$ref": "#/definitions/gatormail_groupContactRequest"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "OK",
            "schema": {
              "$ref": "#/definitions/gatormail_groupContactResponse"
            }
          },
          "default": {
            "description": "Unexpected error",
            "schema": {
              "$ref": "#/definitions/gatormail_errorModel"
            }
          }
        }
      }
    },
    "/mail/{landingZone}/group/{groupId}/contacts/excluded": {
      "post": {
        "summary": "Exclude a list of contacts from a Group",
        "description": "Remove a list of contacts from a Group",
        "security": [
          {
            "client_application": [
              "openid",
              "GatorMailApi",
              "offline_access"
            ]
          }
        ],
        "operationId": "gatormail_groupExcludedContactpost",
        "tags": [
          "Gator Mail"
        ],
        "parameters": [
          {
            "name": "api-version",
            "in": "header",
            "description": "the api version being requested",
            "required": true,
            "type": "integer"
          },
          {
            "name": "landingZone",
            "in": "path",
            "description": "the landing zone that is being accessed",
            "required": true,
            "type": "string"
          },
          {
            "name": "groupId",
            "in": "path",
            "description": "the group for which to retrieve included contacts for",
            "required": true,
            "type": "integer",
            "format": "int32"
          },
          {
            "name": "group",
            "in": "body",
            "required": true,
            "schema": {
              "$ref": "#/definitions/gatormail_groupContactRequest"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "OK",
            "schema": {
              "$ref": "#/definitions/gatormail_groupContactResponse"
            }
          },
          "default": {
            "description": "Unexpected error",
            "schema": {
              "$ref": "#/definitions/gatormail_errorModel"
            }
          }
        }
      }
    },
    "/mail/{landingZone}/group/{groupId}/contact/{contactId}": {
      "patch": {
        "summary": "Add contact to a group",
        "description": "Add contact to a group",
        "security": [
          {
            "client_application": [
              "openid",
              "GatorMailApi",
              "offline_access"
            ]
          }
        ],
        "operationId": "gatormail_addContactToGroup",
        "tags": [
          "Gator Mail"
        ],
        "parameters": [
          {
            "name": "api-version",
            "in": "header",
            "description": "the api version being requested",
            "required": true,
            "type": "integer"
          },
          {
            "name": "landingZone",
            "in": "path",
            "description": "the landing zone that is being accessed",
            "required": true,
            "type": "string"
          },
          {
            "name": "groupId",
            "in": "path",
            "description": "description",
            "required": true,
            "type": "integer",
            "format": "int32"
          },
          {
            "name": "contactId",
            "in": "path",
            "description": "description",
            "required": true,
            "type": "integer",
            "format": "int32"
          }
        ],
        "responses": {
          "200": {
            "description": "OK",
            "schema": {
              "type": "array",
              "items": {
                "$ref": "#/definitions/gatormail_group"
              }
            }
          },
          "default": {
            "description": "Unexpected error",
            "schema": {
              "$ref": "#/definitions/gatormail_errorModel"
            }
          }
        }
      },
      "delete": {
        "summary": "Remove contact from a group",
        "description": "Remove contact from a group",
        "security": [
          {
            "client_application": [
              "openid",
              "GatorMailApi",
              "offline_access"
            ]
          }
        ],
        "operationId": "gatormail_deleteContactFromGroup",
        "tags": [
          "Gator Mail"
        ],
        "parameters": [
          {
            "name": "api-version",
            "in": "header",
            "description": "the api version being requested",
            "required": true,
            "type": "integer"
          },
          {
            "name": "landingZone",
            "in": "path",
            "description": "the landing zone that is being accessed",
            "required": true,
            "type": "string"
          },
          {
            "name": "groupId",
            "in": "path",
            "description": "description",
            "required": true,
            "type": "integer",
            "format": "int32"
          },
          {
            "name": "contactId",
            "in": "path",
            "description": "description",
            "required": true,
            "type": "integer",
            "format": "int32"
          }
        ],
        "responses": {
          "200": {
            "description": "OK",
            "schema": {
              "type": "array",
              "items": {
                "$ref": "#/definitions/gatormail_group"
              }
            }
          },
          "default": {
            "description": "Unexpected error",
            "schema": {
              "$ref": "#/definitions/gatormail_errorModel"
            }
          }
        }
      }
    },
    "/mail/{landingZone}/contact": {
      "post": {
        "summary": "Add Contact",
        "description": "Create a new contact",
        "security": [
          {
            "client_application": [
              "openid",
              "GatorMailApi",
              "offline_access"
            ]
          }
        ],
        "operationId": "gatormail_getContactsCreate",
        "tags": [
          "Gator Mail"
        ],
        "parameters": [
          {
            "name": "api-version",
            "in": "header",
            "description": "the api version being requested",
            "required": true,
            "type": "integer"
          },
          {
            "name": "landingZone",
            "in": "path",
            "description": "the landing zone that is being accessed",
            "required": true,
            "type": "string"
          },
          {
            "name": "entity",
            "in": "body",
            "description": "contact to add",
            "required": true,
            "schema": {
              "$ref": "#/definitions/gatormail_contactCreate"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "List of contacts that match the search field and value supplied",
            "schema": {
              "$ref": "#/definitions/gatormail_contact"
            }
          },
          "default": {
            "description": "Unexpected error",
            "schema": {
              "$ref": "#/definitions/gatormail_errorModel"
            }
          }
        }
      },
      "patch": {
        "summary": "Update Contact",
        "description": "Update an existing contact",
        "security": [
          {
            "client_application": [
              "openid",
              "GatorMailApi",
              "offline_access"
            ]
          }
        ],
        "operationId": "gatormail_getContactsUpdate",
        "tags": [
          "Gator Mail"
        ],
        "parameters": [
          {
            "name": "api-version",
            "in": "header",
            "description": "the api version being requested",
            "required": true,
            "type": "integer"
          },
          {
            "name": "landingZone",
            "in": "path",
            "description": "the landing zone that is being accessed",
            "required": true,
            "type": "string"
          },
          {
            "name": "entity",
            "in": "body",
            "description": "Contact to update",
            "required": true,
            "schema": {
              "$ref": "#/definitions/gatormail_contactUpdate"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "List of contacts that match the search field and value supplied",
            "schema": {
              "$ref": "#/definitions/gatormail_contactUpdate"
            }
          },
          "default": {
            "description": "Unexpected error",
            "schema": {
              "$ref": "#/definitions/gatormail_errorModel"
            }
          }
        }
      }
    },
    "/mail/{landingZone}/contact?email={email}&softDelete={softDelete}": {
      "delete": {
        "summary": "Delete Contact",
        "description": "Deletes a contact and any duplicates found for the email address passed",
        "security": [
          {
            "client_application": [
              "openid",
              "GatorMailApi",
              "offline_access"
            ]
          }
        ],
        "operationId": "gatormail_deleteContact",
        "tags": [
          "Gator Mail"
        ],
        "parameters": [
          {
            "name": "api-version",
            "in": "header",
            "description": "the api version being requested",
            "required": true,
            "type": "integer"
          },
          {
            "name": "landingZone",
            "in": "path",
            "description": "the landing zone that is being accessed",
            "required": true,
            "type": "string"
          },
          {
            "name": "email",
            "in": "path",
            "description": "the email address of the contact to delete",
            "required": true,
            "type": "string"
          },
          {
            "name": "softDelete",
            "in": "path",
            "description": "if true the contact is marked as deleted and then hard deleted after 30 days (this gives you a chance to change your mind if required). if false, the contact is deleted from the database (this conforms with a 'Right to be forgotten' GDPR request).",
            "required": true,
            "type": "boolean"
          }
        ],
        "responses": {
          "200": {
            "description": "Ok"
          },
          "default": {
            "description": "Unexpected error",
            "schema": {
              "$ref": "#/definitions/gatormail_errorModel"
            }
          }
        }
      }
    },
    "/mail/{landingZone}/contact/bulkdelete": {
      "post": {
        "summary": "Bulk Delete Contact",
        "description": "Bulk deletes one or more contacts and any duplicates found for the email address passed",
        "security": [
          {
            "client_application": [
              "openid",
              "GatorMailApi",
              "offline_access"
            ]
          }
        ],
        "operationId": "gatormail_bulkDeleteContact",
        "tags": [
          "Gator Mail"
        ],
        "parameters": [
          {
            "name": "api-version",
            "in": "header",
            "description": "the api version being requested",
            "required": true,
            "type": "integer"
          },
          {
            "name": "landingZone",
            "in": "path",
            "description": "the landing zone that is being accessed",
            "required": true,
            "type": "string"
          },
          {
            "name": "Bulk delete request",
            "in": "body",
            "description": "The contact email addresses to bulk delete and whether to soft or hard delete the contacts",
            "required": true,
            "schema": {
              "$ref": "#/definitions/gatormail_bulkDeleteContactsRequest"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Ok"
          },
          "default": {
            "description": "Unexpected error",
            "schema": {
              "$ref": "#/definitions/gatormail_errorModel"
            }
          }
        }
      }
    },
    "/mail/{landingZone}/contact/{email}": {
      "get": {
        "summary": "Get contacts by email",
        "description": "Gets List of `Email` objects with the supplied email address",
        "security": [
          {
            "client_application": [
              "openid",
              "GatorMailApi",
              "offline_access"
            ]
          }
        ],
        "operationId": "gatormail_getContactsEmail",
        "tags": [
          "Gator Mail"
        ],
        "parameters": [
          {
            "name": "api-version",
            "in": "header",
            "description": "the api version being requested",
            "required": true,
            "type": "integer"
          },
          {
            "name": "landingZone",
            "in": "path",
            "description": "the landing zone that is being accessed",
            "required": true,
            "type": "string"
          },
          {
            "name": "email",
            "in": "path",
            "type": "string",
            "required": true,
            "description": "the email address for the contacts"
          }
        ],
        "responses": {
          "200": {
            "description": "List of contacts that match the email address supplied",
            "schema": {
              "$ref": "#/definitions/gatormail_contact"
            }
          },
          "default": {
            "description": "Unexpected error",
            "schema": {
              "$ref": "#/definitions/gatormail_errorModel"
            }
          }
        }
      }
    },
    "/mail/{landingZone}/contact/search/{page}/{take}": {
      "post": {
        "summary": "Get contacts by search field",
        "description": "Get a list of contact that match the search field and value supplied",
        "security": [
          {
            "client_application": [
              "openid",
              "GatorMailApi",
              "offline_access"
            ]
          }
        ],
        "operationId": "gatormail_getContactsSearch",
        "tags": [
          "Gator Mail"
        ],
        "parameters": [
          {
            "name": "api-version",
            "in": "header",
            "description": "the api version being requested",
            "required": true,
            "type": "integer"
          },
          {
            "name": "landingZone",
            "in": "path",
            "description": "the landing zone that is being accessed",
            "required": true,
            "type": "string"
          },
          {
            "name": "page",
            "in": "path",
            "type": "integer",
            "required": true,
            "description": "the page to get",
            "format": "int32"
          },
          {
            "name": "take",
            "in": "path",
            "type": "integer",
            "required": true,
            "description": "how many contact to return per page",
            "format": "int32"
          },
          {
            "name": "entity",
            "in": "body",
            "description": "The field and its value that you wish to search by. Now supports an optional operator enabling enhanced filtering. Operators (\"=\", \"<>\", \">\", \"<\", \">=\", \"<=\", \"null\", \"not null\", \"like\", \"not like\"). For \"like\" and \"not like\" use \"%\" for wild card searches.",
            "required": true,
            "schema": {
              "$ref": "#/definitions/gatormail_groupContactsParam"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "List of contacts that match the email address supplied",
            "schema": {
              "$ref": "#/definitions/gatormail_pagedContact"
            }
          },
          "default": {
            "description": "Unexpected error",
            "schema": {
              "$ref": "#/definitions/gatormail_errorModel"
            }
          }
        }
      }
    },
    "/mail/{landingZone}/contact/triggercampaign": {
      "post": {
        "summary": "Add/Update Contacts list, trigger Campaign",
        "description": "Add/Update a list of contact then trigger a campaign to send to them the campaign must be initiated.",
        "security": [
          {
            "client_application": [
              "openid",
              "GatorMailApi",
              "offline_access"
            ]
          }
        ],
        "operationId": "gatormail_postTriggerCampaign",
        "tags": [
          "Gator Mail"
        ],
        "parameters": [
          {
            "name": "api-version",
            "in": "header",
            "description": "the api version being requested",
            "required": true,
            "type": "integer"
          },
          {
            "name": "landingZone",
            "in": "path",
            "description": "the landing zone that is being accessed",
            "required": true,
            "type": "string"
          },
          {
            "name": "Campaign Contacts",
            "in": "body",
            "description": "Campaign information and list of contacts",
            "required": true,
            "schema": {
              "$ref": "#/definitions/gatormail_campaignContacts"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Ok",
            "schema": {
              "$ref": "#/definitions/gatormail_campaignTrigger"
            }
          },
          "default": {
            "description": "Unexpected error",
            "schema": {
              "$ref": "#/definitions/gatormail_errorModel"
            }
          }
        }
      }
    },
    "/mail/{landingZone}/contact/attribute/{page}/{take}": {
      "get": {
        "summary": "Get contact attributes",
        "description": "Geta a paged list of attributes",
        "security": [
          {
            "client_application": [
              "openid",
              "GatorMailApi",
              "offline_access"
            ]
          }
        ],
        "operationId": "gatormail_getContactAttributes",
        "tags": [
          "Gator Mail"
        ],
        "parameters": [
          {
            "name": "api-version",
            "in": "header",
            "description": "the api version being requested",
            "required": true,
            "type": "integer"
          },
          {
            "name": "landingZone",
            "in": "path",
            "description": "the landing zone that is being accessed",
            "required": true,
            "type": "string"
          },
          {
            "name": "page",
            "in": "path",
            "type": "integer",
            "required": true,
            "description": "the page to get",
            "format": "int32"
          },
          {
            "name": "take",
            "in": "path",
            "type": "integer",
            "required": true,
            "description": "how many attributes to return per page",
            "format": "int32"
          }
        ],
        "responses": {
          "200": {
            "description": "Ok",
            "schema": {
              "$ref": "#/definitions/gatormail_pagedContactAttribute"
            }
          },
          "default": {
            "description": "Unexpected error",
            "schema": {
              "$ref": "#/definitions/gatormail_errorModel"
            }
          }
        }
      }
    },
    "/mail/{landingZone}/contact/attribute": {
      "post": {
        "summary": "Add new contact attributes",
        "description": "Add new contact attributes",
        "security": [
          {
            "client_application": [
              "openid",
              "GatorMailApi",
              "offline_access"
            ]
          }
        ],
        "operationId": "gatormail_postContactAttributes",
        "tags": [
          "Gator Mail"
        ],
        "parameters": [
          {
            "name": "api-version",
            "in": "header",
            "description": "the api version being requested",
            "required": true,
            "type": "integer"
          },
          {
            "name": "landingZone",
            "in": "path",
            "description": "the landing zone that is being accessed",
            "required": true,
            "type": "string"
          },
          {
            "name": "attribute",
            "in": "body",
            "description": "the attribute to be added",
            "required": true,
            "schema": {
              "$ref": "#/definitions/gatormail_uploadContactAttribute"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Ok",
            "schema": {
              "$ref": "#/definitions/gatormail_uploadContactAttribute"
            }
          },
          "default": {
            "description": "Unexpected error",
            "schema": {
              "$ref": "#/definitions/gatormail_errorModel"
            }
          }
        }
      }
    },
    "/mail/{landingZone}/contact/export?email={email}": {
      "get": {
        "summary": "Contact Export",
        "description": "Exports contact data (conforms to the GDPR subject access request).",
        "security": [
          {
            "client_application": [
              "openid",
              "GatorMailApi",
              "offline_access"
            ]
          }
        ],
        "operationId": "gatormail_contactExport",
        "tags": [
          "Gator Mail"
        ],
        "parameters": [
          {
            "name": "api-version",
            "in": "header",
            "description": "the api version being requested",
            "required": true,
            "type": "integer"
          },
          {
            "name": "landingZone",
            "in": "path",
            "description": "the landing zone that is being accessed",
            "required": true,
            "type": "string"
          },
          {
            "name": "email",
            "in": "path",
            "type": "string",
            "required": true,
            "description": "the contacts email address"
          }
        ],
        "responses": {
          "200": {
            "description": "Ok",
            "schema": {
              "$ref": "#/definitions/gatormail_contactExport"
            }
          },
          "default": {
            "description": "Unexpected error",
            "schema": {
              "$ref": "#/definitions/gatormail_errorModel"
            }
          }
        }
      }
    },
    "/mail/{landingZone}/email/{page}/{take}": {
      "get": {
        "summary": "Get emails",
        "description": "Get a paged list of emails",
        "security": [
          {
            "client_application": [
              "openid",
              "GatorMailApi",
              "offline_access"
            ]
          }
        ],
        "operationId": "gatormail_getEmailList",
        "tags": [
          "Gator Mail"
        ],
        "parameters": [
          {
            "name": "api-version",
            "in": "header",
            "description": "the api version being requested",
            "required": true,
            "type": "integer"
          },
          {
            "name": "landingZone",
            "in": "path",
            "description": "the landing zone that is being accessed",
            "required": true,
            "type": "string"
          },
          {
            "name": "page",
            "in": "path",
            "type": "integer",
            "required": true,
            "description": "the page to get",
            "format": "int32"
          },
          {
            "name": "take",
            "in": "path",
            "type": "integer",
            "required": true,
            "description": "how many Emails to return per page",
            "format": "int32"
          }
        ],
        "responses": {
          "200": {
            "description": "Ok",
            "schema": {
              "$ref": "#/definitions/gatormail_pagedEmails"
            }
          },
          "default": {
            "description": "Unexpected error",
            "schema": {
              "$ref": "#/definitions/gatormail_errorModel"
            }
          }
        }
      }
    },
    "/mail/{landingZone}/email/filter/{page}/{take}": {
      "get": {
        "summary": "Get emails by filter",
        "description": "Get a paged list of emails",
        "security": [
          {
            "client_application": [
              "openid",
              "GatorMailApi",
              "offline_access"
            ]
          }
        ],
        "operationId": "gatormail_getEmailFilterList",
        "tags": [
          "Gator Mail"
        ],
        "parameters": [
          {
            "name": "api-version",
            "in": "header",
            "description": "the api version being requested",
            "required": true,
            "type": "integer"
          },
          {
            "name": "landingZone",
            "in": "path",
            "description": "the landing zone that is being accessed",
            "required": true,
            "type": "string"
          },
          {
            "name": "page",
            "in": "path",
            "type": "integer",
            "required": true,
            "description": "the page to get",
            "format": "int32"
          },
          {
            "name": "take",
            "in": "path",
            "type": "integer",
            "required": true,
            "description": "how many Emails to return per page",
            "format": "int32"
          },
          {
            "name": "entity",
            "in": "body",
            "description": "The field and its value that you wish to search by. Now supports an optional operator enabling enhanced filtering. Operators are enmun value <br> equals = 0, <br> greater than = 1, <br> less then = 2, <br> contains = 3,<br> ends with = 4, <br> starts with = 5",
            "required": true,
            "schema": {
              "$ref": "#/definitions/gatormail_EmailFilterParam"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Ok",
            "schema": {
              "$ref": "#/definitions/gatormail_pagedEmails"
            }
          },
          "default": {
            "description": "Unexpected error",
            "schema": {
              "$ref": "#/definitions/gatormail_errorModel"
            }
          }
        }
      }
    },
    "/mail/{landingZone}/integration/requests": {
      "get": {
        "summary": "Get Integration Requests",
        "description": "Returns all requests made by GatorMail users for actions it wishes the integration to perform",
        "security": [
          {
            "client_application": [
              "openid",
              "GatorMailApi",
              "offline_access"
            ]
          }
        ],
        "operationId": "gatormail_getIntegrationRequests",
        "tags": [
          "Gator Mail"
        ],
        "parameters": [
          {
            "name": "api-version",
            "in": "header",
            "description": "the api version being requested",
            "required": true,
            "type": "integer"
          },
          {
            "name": "landingZone",
            "in": "path",
            "description": "the landing zone that is being accessed",
            "required": true,
            "type": "string"
          }
        ],
        "responses": {
          "200": {
            "description": "Returns all requests made by GatorMail users for actions it wishes the integration to perform",
            "schema": {
              "type": "array",
              "items": {
                "$ref": "#/definitions/gatormail_integrationRequests"
              }
            }
          },
          "default": {
            "description": "Unexpected error",
            "schema": {
              "$ref": "#/definitions/gatormail_errorModel"
            }
          }
        }
      }
    },
    "/mail/{landingZone}/integration/requests/{request}": {
      "patch": {
        "summary": "Marks a request satisfied.",
        "description": "Marks a request made by a GatorMail user as satisfied.",
        "security": [
          {
            "client_application": [
              "openid",
              "GatorMailApi",
              "offline_access"
            ]
          }
        ],
        "operationId": "gatormail_getIntegrationRequestSatisfied",
        "tags": [
          "Gator Mail"
        ],
        "parameters": [
          {
            "name": "api-version",
            "in": "header",
            "description": "the api version being requested",
            "required": true,
            "type": "integer"
          },
          {
            "name": "landingZone",
            "in": "path",
            "description": "the landing zone that is being accessed",
            "required": true,
            "type": "string"
          },
          {
            "name": "request",
            "in": "path",
            "description": "the request to mark satisfied",
            "required": true,
            "type": "string",
            "enum": [
              "schemamappingsMappingsPublished",
              "schemamappingsRequested"
            ]
          }
        ],
        "responses": {
          "200": {
            "description": "Ok"
          },
          "default": {
            "description": "Unexpected error",
            "schema": {
              "$ref": "#/definitions/gatormail_errorModel"
            }
          }
        }
      }
    },
    "/mail/{landingZone}/schemamappings": {
      "get": {
        "summary": "Returns the user generated schema mappings.",
        "description": "Returns the user generated schema mappings. Support is provided though the use of the linkedEntity, entityLinkAttribute, linkedEntityLinkAttribute columns to define a one to one relationship between two entities (e.g contact -> account to retrieve an account name).",
        "security": [
          {
            "client_application": [
              "openid",
              "GatorMailApi",
              "offline_access"
            ]
          }
        ],
        "operationId": "gatormail_getSchema",
        "tags": [
          "Gator Mail"
        ],
        "parameters": [
          {
            "name": "api-version",
            "in": "header",
            "description": "the api version being requested",
            "required": true,
            "type": "integer"
          },
          {
            "name": "landingZone",
            "in": "path",
            "description": "the landing zone that is being accessed",
            "required": true,
            "type": "string"
          }
        ],
        "responses": {
          "200": {
            "description": "Ok",
            "schema": {
              "type": "array",
              "items": {
                "$ref": "#/definitions/gatormail_schema"
              }
            }
          },
          "default": {
            "description": "Unexpected error",
            "schema": {
              "$ref": "#/definitions/gatormail_errorModel"
            }
          }
        }
      },
      "delete": {
        "summary": "Clears all schema entities and attributes.",
        "description": "Clears all schema entities and attributes.",
        "security": [
          {
            "client_application": [
              "openid",
              "GatorMailApi",
              "offline_access"
            ]
          }
        ],
        "operationId": "gatormail_deleteSchema",
        "tags": [
          "Gator Mail"
        ],
        "parameters": [
          {
            "name": "api-version",
            "in": "header",
            "description": "the api version being requested",
            "required": true,
            "type": "integer"
          },
          {
            "name": "landingZone",
            "in": "path",
            "description": "the landing zone that is being accessed",
            "required": true,
            "type": "string"
          }
        ],
        "responses": {
          "200": {
            "description": "Ok"
          },
          "default": {
            "description": "Unexpected error",
            "schema": {
              "$ref": "#/definitions/gatormail_errorModel"
            }
          }
        }
      }
    },
    "/mail/{landingZone}/schemamappings/entity": {
      "post": {
        "summary": "Creates a schema entity record.",
        "description": "Creates a schema entity record.",
        "security": [
          {
            "client_application": [
              "openid",
              "GatorMailApi",
              "offline_access"
            ]
          }
        ],
        "operationId": "gatormail_postSchemaEntity",
        "tags": [
          "Gator Mail"
        ],
        "parameters": [
          {
            "name": "api-version",
            "in": "header",
            "description": "the api version being requested",
            "required": true,
            "type": "integer"
          },
          {
            "name": "landingZone",
            "in": "path",
            "description": "the landing zone that is being accessed",
            "required": true,
            "type": "string"
          },
          {
            "name": "entity",
            "in": "body",
            "description": "the schema entity to add",
            "required": true,
            "schema": {
              "$ref": "#/definitions/gatormail_schemaEntity"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Ok"
          },
          "409": {
            "description": "Schema Entity Attribute already exists"
          },
          "default": {
            "description": "Unexpected error",
            "schema": {
              "$ref": "#/definitions/gatormail_errorModel"
            }
          }
        }
      }
    },
[...]
